function url_process(linkurl, fileurl, referurl, str)
    local pattern_name = "<DIV class=f14 style=\"POSITION: relative\" align=center>(.-)%s*<DIV"
    local pattern_ext  = ".*(%..-)$"
    local start, _, tmp

    local base_name, ext

    start, _, tmp = string.find(str, pattern_name)
    --print(start, tmp)
    if start == nil then return ""  else base_name = tmp end

    start, _, tmp = string.find(linkurl, pattern_ext)
    --print(start, tmp)
    if start == nil then return "" else ext = tmp end 

    return base_name .. ext
end

function url_query(str)
    local start
    local pattern_url = "m%.iask%.com"

    start = string.find(str, pattern_url)
    if start ~= nil then
        return true
    end
    
    return false
end
f = {}
f.process = url_process
f.accept = url_query
intelligent_name_table["mp3_iask.lua"] = f
